# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name resourcet

%global common_summary Deterministic allocation and freeing of scarce resources

%global common_description Allocate resources which are guaranteed to be released.\
All register cleanup actions live in the IO monad, not the main monad.\
This allows both more efficient code, and for monads to be transformed.

Name:           ghc-%{pkg_name}
Version:        0.3.2.2
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-lifted-base-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.2-1
- update to 0.3.2.2

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.1-1
- update to 0.3.2.1

* Tue Apr 10 2012 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- update to 0.3.2

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- BSD
- depends on lifted-base and containers

* Sat Mar 24 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
